// 新增商户时 需要在prod_brand_config 配置相应的信息 key是商户Id

// 发生产环境配置流程
// PROJECT_ENV 修改 为 prod 
// project.config.json 中appId 更换为生成
// 修改 BRANCH_ID 为对应的商户id
// app.js 中brandId 修改为对应

const PROJECT_ENV = 'test' // 生产 prod, 开发 dev, 测试 test , 测试门户 test_store, 预生产 pre
//仅生产环境时 配置 ： 
//3001 3001 ,  wx313ec36b710125d4
//2006 泰华 , wx40fec8944623c8b3
//2007 多多一上 , wxf7bc302c51166dc0
//2008 雪岛书屋  wx207f8a95bbc9d3ab
//2003 苏州邻里 , wxe7770946f9d93d38
//2012 悦芙媞  wxfe14ebde4a6eea3d
//2010 热风 wxe6d270a3e399ade9
//2009 拉如 wxa0db9cb42b1cbdc9
//2013  阿特里里
//2014 包鞋
//2015 花在花园
//2016 阿吉豆
//2017 ACTREE wx2aae34874e88cdf5
//2992 山东盛联微商城 wx53dedc202ae0d0c2

const BRANCH_ID = 1002
const isMall = true

// const needMock = '' //
// 舞象联系我 ：766c50920993bf9c41c6c3d2761a2df5
//泰华 联系我 ：6e4314d558e55fbc64fe2e757e24d61f

//配置信息 
/** ***********************************开发环境************************************ */
//舞象开发环境
/**
 * appId = wxc3b64b09b1d3dfc2
 * tunnel-token = brand1001
 * brandId = 1001
 */
/** ***********************************测试环境************************************ */
/**
 * 舞象测试环境1
 * appId = wx857ea77f4f7f4f34
 * tunnel-token = aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD
 * brandId = 1002
 */

/**
 * 舞象测试环境2 常用
 * appId = wxac09792264c49b5c
 * tunnel-token = aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD
 * brandId = 1002
 */

/** ***********************************生产环境配置信息************************************ */
const prod_brand_config = {
  //3001舞象
  3001 : {
    appId: 'wx313ec36b710125d4',// 小程序AppID
    tunnelToken: 'd6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8',//商户默认token
    brandId: 3001,//商户ID
    plusIsOpen: true, //下单和下单状态界面是否显示购买plus
    contactUsIsOpen: true,//是否开启联系我
    contactUsPluginId: '766c50920993bf9c41c6c3d2761a2df5',//联系我们插件PluginID
    hasTrial: false, // 是否有体验账号
    isMall: isMall,// 商城或门户 true 商城 false 门户
    orderingMustOpenCard : false, //下单是否必须卡开
    canUseWechatAddress : true,//是否使用获取微信地址
    isOpenSelfMention : true, // 是否开启门店自提
    isNeedGetLocation : true,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【舞象星品荟-社交商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //泰华配置
  2006: {
    appId: 'wx40fec8944623c8b3', //商城小程序appid
    storeAppId: 'wx833d5ece112fc3fd',//门户小程序appid
    tunnelToken: '8724303981a00b56869f3d26f7a6c643',
    brandId: 2006,
    plusIsOpen: false,
    contactUsIsOpen: isMall ? true : false,
    canUseWechatAddress: true,//是否使用获取微信地址
    contactUsPluginId: 'a6ea55b56eb09ced8f9aeeaa14383b52',
    hasTrial: false,
    isMall: isMall,
    orderingMustOpenCard: true,
    isOpenSelfMention: true, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【泰华微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/taihua_logo.png',
  },
  //多多一上
  2007 : {
    appId: 'wxf7bc302c51166dc0',
    tunnelToken: '1ea3f0c0dd0c91ee54e546a99beafbfb',
    brandId: 2007,
    plusIsOpen: false,
    contactUsIsOpen: true,
    canUseWechatAddress: true,//是否使用获取微信地址
    contactUsPluginId: '78353bb39251a60b473f3d4ae81b1c39',
    hasTrial: false,
    isMall: isMall,
    orderingMustOpenCard: true,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【多多一上】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/duoduoyishang_logo.png',
  },
  //雪岛书屋 
  2008 : {
    appId: 'wx207f8a95bbc9d3ab',
    tunnelToken: 'd93a5def7511da3d0f2d171d9c344e91',
    brandId: 2008,
    plusIsOpen: false,
    contactUsIsOpen: false,
    canUseWechatAddress: true,//是否使用获取微信地址
    contactUsPluginId: '',
    hasTrial: false,
    isMall: isMall,
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【雪岛书屋】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //苏州邻里
  2003 : {
    appId: 'wxe7770946f9d93d38',
    tunnelToken: 'fde4fde168dd5aabe962643843c19290',
    brandId: 2003,
    plusIsOpen: false,
    contactUsIsOpen: false,
    contactUsPluginId: '',
    canUseWechatAddress: true,//是否使用获取微信地址
    hasTrial: false,
    isMall: isMall,
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【苏州邻里】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //拉如小程序
  2009 : {
    appId: 'wxa0db9cb42b1cbdc9',// 小程序AppID
    tunnelToken: '2c626cb97cd05b635ae85ace7acb5608',//商户默认token
    brandId: 2009,//商户ID
    plusIsOpen: false,//下单和下单状态界面是否显示购买plus
    contactUsIsOpen: false,//是否开启联系我
    contactUsPluginId: '',//联系我们插件PluginID
    hasTrial: false,// 是否有体验账号
    canUseWechatAddress: true,//是否使用获取微信地址
    isMall: isMall,// 商城或门户 true 商城 false 门户
    orderingMustOpenCard: false,//下单是否必须卡开
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【LA RUTA DE VIA】',//分享海报上显示的小程序title
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/laru.jpg',//商户logo
  },
  //热风
  2010 : {
    appId: 'wxe6d270a3e399ade9',
    tunnelToken: '3c66e77863736a32380a5d683db3520b',
    brandId: 2010,
    plusIsOpen: false,
    contactUsIsOpen: false,
    contactUsPluginId: 'f86b306023ec790b70c0b45fcf308b04',
    hasTrial: false,
    isMall: isMall,
    canUseWechatAddress: false,//是否使用获取微信地址
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【hotwind热风微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/hotwind_logo.png',
  },
  //悦芙媞
  2012 : {
    appId: 'wxfe14ebde4a6eea3d',
    tunnelToken: '6293879e905cd6504386f5bbc8c61926',
    brandId: 2012,
    plusIsOpen: false,
    contactUsIsOpen: true,
    canUseWechatAddress: true,//是否使用获取微信地址
    contactUsPluginId: 'e61babc802dd4d0d1e819130f7aa4bc5',
    hasTrial: false,
    isMall: isMall,
    orderingMustOpenCard: true,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【悦芙媞微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/yufuti_logo.png',
  },
  //阿特里里
  2013 : {
    appId: '',
    tunnelToken: 'ef7bf4d1adcf8ee5d57a2450255ecc27',
    brandId: 2013,
    plusIsOpen: false,
    contactUsIsOpen: true,
    contactUsPluginId: '',
    hasTrial: false,
    isMall: isMall,
    canUseWechatAddress: true,//是否使用获取微信地址
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【阿特里里微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //包鞋
  2014: {
    appId: '',
    tunnelToken: 'd1637a225cfe0f61a72967a74a872a7f',
    brandId: 2014,
    plusIsOpen: false,
    contactUsIsOpen: true,
    contactUsPluginId: '',
    hasTrial: false,
    canUseWechatAddress: true,//是否使用获取微信地址
    isMall: isMall,
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【包鞋微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //花在花园
  2015 : {
    appId: '',
    tunnelToken: 'fa2816369abd2726d18b2a0dd51736f4',
    brandId: 2015,
    plusIsOpen: false,
    contactUsIsOpen: true,
    contactUsPluginId: '',
    hasTrial: false,
    isMall: isMall,
    canUseWechatAddress: true,//是否使用获取微信地址
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【花在花园微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //阿吉豆
  2016: {
    appId: '',
    tunnelToken: 'bac535a06a04adaa8e6660e22c64b257',
    brandId: 2016,
    plusIsOpen: false,
    contactUsIsOpen: true,
    contactUsPluginId: '',
    hasTrial: false,
    isMall: isMall,
    canUseWechatAddress: true,//是否使用获取微信地址
    orderingMustOpenCard: false,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【阿吉豆微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png',
  },
  //【ACTREE】
  2017: {
    appId: 'wx2aae34874e88cdf5',
    tunnelToken: '5b621e41ea6ed4ad302c5d07b8685c32',
    brandId: 2017,
    plusIsOpen: false,
    contactUsIsOpen: false,
    contactUsPluginId: '',
    hasTrial: false,
    canUseWechatAddress: true,//是否使用获取微信地址
    isMall: isMall,
    orderingMustOpenCard: true,
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【ACTREE】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/actree_logo.png',
  },
  //山东盛联微商城
  2992 : {
    appId: 'wx53dedc202ae0d0c2',
    tunnelToken: 'f6c5031d172d94b6574293ef954a6f2d4e16657',
    brandId: 2992,
    plusIsOpen: true,
    contactUsIsOpen: true,
    contactUsPluginId: '50934d036dc2051758f4d934d7100b78',
    hasTrial: false,
    isMall: isMall,
    canUseWechatAddress: true,//是否使用获取微信地址
    orderingMustOpenCard: true,
    isOpenSelfMention: true, // 是否开启门店自提
    isNeedGetLocation: true,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【山东盛联微商城】',
    logo: 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/shandongshenglian_logo.jpg',
  }
}

//默认分享logo
const defaultShareLogo = 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/logo_head.png';
//推广商品页面banner 
const speadProductsBanner = 'https://bigaka-xie.oss-cn-shanghai.aliyuncs.com/tuiguangshangpin.jpg';


// 开启联系我时 app.json plugin中添加此代码
// "contactPlugin": {
//   "version": "1.0.12",
//     "provider": "wx104a1a20c3f81ec2"
// }

//需要直播功能时 配置 app.json plugin中增加代码
// "live-player-plugin": {
//   "version": "1.0.2",
//     "provider": "wx2b03c6e691cd7370"
// }

// appid_dev_wx   wxc3b64b09b1d3dfc2 
// appid_test_wx  wx857ea77f4f7f4f34//  wxac09792264c49b5c // 1002商城
// appid_pre_711  wx358b56af62edbde1 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8
// appid_prod_711  wx700028bf32a3be66 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8

// appid_prod_3001 wx313ec36b710125d4 
// 3001测试商城 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8 brandId : 3001

//泰华 appid : wx40fec8944623c8b3 brandId : 2006 tunnel-token : 8724303981a00b56869f3d26f7a6c643


// 1 2 3 4步!!!!!!!!!!!!!!!!!!!!!!  prod appid brandId tunnel-token

// const devCtx = 'http://111.231.86.64'
const devCtx = 'http://buyer.devapi.bigaka.net' // 开发环境 1
// const devCtx = 'http://dev-sellerapi.bigaka.net' // 开发环境 2
const testCtx = 'https://crm-b.bigaka.net/api' // 发测试时解开此注释
const preCtx = 'https://crm-b.bigaka.com/api' // 发预生产时解开此注释
const prodCtx = 'https://crm-b.bigaka.com/api' // 发生产时解开此注释

const devImgCtx = 'https://img3.bigaka.com/test' // 开发环境图片地址
const testImgCtx = 'https://img3.bigaka.com/test' // 测试环境图片地址
const preImgCtx = 'https://img3.bigaka.com/test' // 预生产环境图片地址
const prodImgCtx = 'https://img3.bigaka.com/prd' // 生产环境图片地址
// const prodImgCtx = 'https://img3.bigaka.com' // 生产环境图片地址

const config = {
  dev: devCtx,
  test: testCtx,
  test_store: testCtx,
  pre: preCtx,
  prod: prodCtx
}

const appId = {
  dev: 'wxc3b64b09b1d3dfc2',//appid_dev_wx
  test: 'wxac09792264c49b5c',//appid_test_wx 1002商城
  test_store: 'wx857ea77f4f7f4f34',//appid_test_wx 1002商城
  pre: 'wxac09792264c49b5c',//appid_test_wx 1002商城
}

const imgConfig = {
  dev: devImgCtx,
  test: testImgCtx,
  test_store: testImgCtx,
  pre: preImgCtx,
  prod: prodImgCtx
}

const token = {
  dev: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588fcc33', //开发
  test: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //测试
  test_store: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //测试
  pre: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //预生产
}

//获取配置信息
let brandId = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].brandId : (PROJECT_ENV == 'dev' ? 1001 : 1002);
let fixed_appId = PROJECT_ENV == 'prod' ? 
(isMall ? prod_brand_config[BRANCH_ID].appId : prod_brand_config[BRANCH_ID].storeAppId) : appId[PROJECT_ENV];
let tunnelToken = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].tunnelToken : token[PROJECT_ENV];
let plusIsOpen = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].plusIsOpen : true;
let contactUsPluginId = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].contactUsPluginId : '766c50920993bf9c41c6c3d2761a2df5';
let contactUsIsOpen = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].contactUsIsOpen : true;
let hasTrial = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].hasTrial : true;
let fixed_IsMall = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isMall : isMall;
let orderingMustOpenCard = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].orderingMustOpenCard : false;
let isOpenSelfMention = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isOpenSelfMention : true;
let shareTitle = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].shareTitle : '舞象商城';
let shareLogo = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].logo : defaultShareLogo;
let isNeedGetLocation = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isNeedGetLocation : true;
let canUseWechatAddress = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].canUseWechatAddress : true;
//配置信息导出
const envInfo = (() => {
  return {
    ctx: config[PROJECT_ENV],
    env: PROJECT_ENV,
    imgCtx: imgConfig[PROJECT_ENV],
    tunnelToken: tunnelToken,
    appId: fixed_appId,
    brandId: brandId,// 1001 1002 3001 3002 //2711 711生产brandId,
    plusIsOpen: plusIsOpen, //是否开启plus
    contactUsPluginId: contactUsPluginId,
    contactUsIsOpen: contactUsIsOpen,//是否开启联系我
    hasTrial: hasTrial , //是否开启体验者功能
    isMall: fixed_IsMall,//商城和门户区分 门户时 false; 商城 true
    orderingMustOpenCard: orderingMustOpenCard,//下单时是否强校验必须开卡 true 必须开卡才可下单 false 不开卡可以下单
    isOpenSelfMention: isOpenSelfMention,//门店是否开启门店自提功能
    shareTitle: shareTitle,
    isNeedGetLocation: isNeedGetLocation,
    shareLogo: shareLogo,
    speadProductsBanner: speadProductsBanner,
    canUseWechatAddress: canUseWechatAddress,
  }
})()

module.exports = {
  envInfo
}
